[pacman-dev] [PATCH] Use "pacman -S dep" in makepkg's dependency resolving

Nagy Gabor ngaba at bibl.u-szeged.hu
Tue Jul 8 05:04:59 EDT 2008


From 9ca3c6a3ca270d3fadceb6892a5d1dacb9896759 Mon Sep 17 00:00:00 2001
From: Nagy Gabor <ngaba at bibl.u-szeged.hu>
Date: Tue, 8 Jul 2008 10:57:57 +0200
Subject: [PATCH] Use "pacman -S dep" in makepkg's dependency resolving

This method is equivalent with pacman's resolvedeps.

Signed-off-by: Nagy Gabor <ngaba at bibl.u-szeged.hu>
---
 scripts/makepkg.sh.in |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index b810d60..bc1f89f 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -321,11 +321,6 @@ handledeps() {
 	[ $# -eq 0 ] && return $R_DEPS_SATISFIED
 
 	local deplist="$*"
-	local dep depstrip striplist
-	for dep in $deplist; do
-		depstrip="$(echo $dep | sed -e 's|=.*$||' -e 's|>.*$||' -e 's|<.*$||')"
-		striplist="$striplist $depstrip"
-	done
 
 	if [ "$DEP_BIN" = "0" ]; then
 		return $R_DEPS_MISSING
@@ -337,9 +332,9 @@ handledeps() {
 		local ret=0
 
 		if [ "$ASROOT" = 0 ]; then
-			sudo pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
+			sudo pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
 		else
-			pacman $PACMAN_OPTS -S --asdeps $striplist || ret=$?
+			pacman $PACMAN_OPTS -S --asdeps $deplist || ret=$?
 		fi
 
 		if [ $ret -ne 0 ]; then
-- 
1.5.6.1





More information about the pacman-dev mailing list